Package org.apache.tapestry5.ioc.internal

## Class ConstructorServiceCreator

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractServiceCreator
  - - org.apache.tapestry5.ioc.internal.ConstructorServiceCreator

- All Implemented Interfaces:
    `ObjectCreator`

      public class ConstructorServiceCreator
      extends AbstractServiceCreator

  A service creator based on an implementation class' constructor, rather than a service builder method.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceCreator

      `creatorDescription, logger, resources, serviceId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstructorServiceCreator​(ServiceBuilderResources resources, java.lang.String creatorDescription, java.lang.reflect.Constructor constructor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `createObject()` | Create and return the object.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceCreator

      `createInjectionResources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorServiceCreator

          public ConstructorServiceCreator​(ServiceBuilderResources resources,
                                           java.lang.String creatorDescription,
                                           java.lang.reflect.Constructor constructor)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createObject

          public java.lang.Object createObject()

      Description copied from interface: `ObjectCreator`
      Create and return the object. In some limited circumstances, the implementation may cache the result, returning the same object for repeated calls.